Skip to main content
PATCH
/
coa
/
api
/
v2
/
reconciliation
/
{id}
Partial Update Bank Reconciliation Report
curl --request PATCH \
  --url https://api.meetcampfire.com/coa/api/v2/reconciliation/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "<string>",
  "statement_starting_date": "2023-12-25",
  "statement_ending_date": "2023-12-25",
  "starting_balance": 0,
  "ending_balance": 0,
  "total_credit_amount": 0,
  "total_debit_amount": 0,
  "adjustments": 0,
  "reconciled_on": "2023-12-25",
  "unmatched_statement_transactions": null,
  "statement_recognition_cost_usd": 0,
  "statement_recognition_input_tokens": 1073741823,
  "statement_recognition_output_tokens": 1073741823,
  "statement_recognition_token_total": 4611686018427388000,
  "statement_recognition_model_name": "<string>",
  "entity": 123,
  "account": 123,
  "matching_task": 123,
  "reconciled_by": 123
}
'
import requests

url = "https://api.meetcampfire.com/coa/api/v2/reconciliation/{id}"

payload = {
"currency": "<string>",
"statement_starting_date": "2023-12-25",
"statement_ending_date": "2023-12-25",
"starting_balance": 0,
"ending_balance": 0,
"total_credit_amount": 0,
"total_debit_amount": 0,
"adjustments": 0,
"reconciled_on": "2023-12-25",
"unmatched_statement_transactions": None,
"statement_recognition_cost_usd": 0,
"statement_recognition_input_tokens": 1073741823,
"statement_recognition_output_tokens": 1073741823,
"statement_recognition_token_total": 4611686018427388000,
"statement_recognition_model_name": "<string>",
"entity": 123,
"account": 123,
"matching_task": 123,
"reconciled_by": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: '<string>',
statement_starting_date: '2023-12-25',
statement_ending_date: '2023-12-25',
starting_balance: 0,
ending_balance: 0,
total_credit_amount: 0,
total_debit_amount: 0,
adjustments: 0,
reconciled_on: '2023-12-25',
unmatched_statement_transactions: null,
statement_recognition_cost_usd: 0,
statement_recognition_input_tokens: 1073741823,
statement_recognition_output_tokens: 1073741823,
statement_recognition_token_total: 4611686018427388000,
statement_recognition_model_name: '<string>',
entity: 123,
account: 123,
matching_task: 123,
reconciled_by: 123
})
};

fetch('https://api.meetcampfire.com/coa/api/v2/reconciliation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "entity_name": "<string>",
  "account_name": "<string>",
  "account_number": "<string>",
  "account_type": "<string>",
  "account_subtype": "<string>",
  "reconciled_by_name": "<string>",
  "reconciled_by_email": "<string>",
  "approved_by_name": "<string>",
  "approved_by_email": "<string>",
  "async_task": {
    "id": 123,
    "created_by_name": "<string>",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "customer": 123,
    "created_by": 123,
    "error_message": "<string>",
    "error_type": "<string>",
    "retries": -1,
    "completed_at": "2023-11-07T05:31:56Z",
    "started_at": "2023-11-07T05:31:56Z",
    "celery_task_id": "<string>",
    "root_task_id": "<string>",
    "parent_task_id": "<string>",
    "trace_id": "<string>",
    "span_id": "<string>",
    "task_args": "<unknown>",
    "task_kwargs": "<unknown>",
    "result": "<unknown>",
    "content": null
  },
  "attachments": [
    {
      "id": 123,
      "customer": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": 123,
      "created_by_name": "<string>",
      "created_by_email": "<string>",
      "last_modified_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "url": "<string>",
      "s3_path": "<string>",
      "app": "<string>",
      "model": "<string>",
      "is_deleted": false,
      "deleted_at": "2023-11-07T05:31:56Z",
      "s3_content_type": "<string>",
      "s3_content_length": 1073741823,
      "object_id": 1073741823
    }
  ],
  "csv_statements": "<string>",
  "cleared_total_debits": "<string>",
  "cleared_total_credits": "<string>",
  "cleared_activity": "<string>",
  "cleared_item_count": "<string>",
  "matched_total_debits": "<string>",
  "matched_total_credits": "<string>",
  "matched_activity": "<string>",
  "matched_item_count": "<string>",
  "unreconciled_total_debits": "<string>",
  "unreconciled_total_credits": "<string>",
  "unreconciled_activity": "<string>",
  "unreconciled_gl_item_count": "<string>",
  "unreconciled_statement_line_count": "<string>",
  "unreconciled_statement_activity": "<string>",
  "reconciliation_difference": "<string>",
  "open_total_debits": "<string>",
  "open_total_credits": "<string>",
  "open_activity": "<string>",
  "open_gl_item_count": "<string>",
  "open_statement_line_count": "<string>",
  "open_statement_activity": "<string>",
  "statement_activity": "<string>",
  "open_difference": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_modified_at": "2023-11-07T05:31:56Z",
  "approved_on": "2023-11-07T05:31:56Z",
  "customer": 123,
  "account": 123,
  "approved_by": 123,
  "currency": "<string>",
  "statement_starting_date": "2023-12-25",
  "statement_ending_date": "2023-12-25",
  "starting_balance": 0,
  "ending_balance": 0,
  "total_credit_amount": 0,
  "total_debit_amount": 0,
  "adjustments": 0,
  "reconciled_on": "2023-12-25",
  "unmatched_statement_transactions": null,
  "statement_recognition_cost_usd": 0,
  "statement_recognition_input_tokens": 1073741823,
  "statement_recognition_output_tokens": 1073741823,
  "statement_recognition_token_total": 4611686018427388000,
  "statement_recognition_model_name": "<string>",
  "entity": 123,
  "matching_task": 123,
  "reconciled_by": 123
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

Body

currency
string
Maximum string length: 3
statement_starting_date
string<date> | null
statement_ending_date
string<date> | null
starting_balance
number<double>
Required range: -1000000000000000000 < x < 1000000000000000000
ending_balance
number<double>
Required range: -1000000000000000000 < x < 1000000000000000000
total_credit_amount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
total_debit_amount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
adjustments
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
reconciled_on
string<date> | null
status
enum<string>
  • DRAFT - Draft
  • PENDING_APPROVAL - Pending Approval
  • APPROVED - Approved
  • DELETED - Deleted
Available options:
DRAFT,
PENDING_APPROVAL,
APPROVED,
DELETED
unmatched_statement_transactions
unknown
statement_recognition_cost_usd
number<double> | null

Estimated USD cost of AI bank-statement parsing for this report (from summed page token usage).

Required range: -100000000 < x < 100000000
statement_recognition_input_tokens
integer | null

Sum of input tokens from statement parsing across all pages (set on finalize).

Required range: 0 <= x <= 2147483647
statement_recognition_output_tokens
integer | null

Sum of output tokens from statement parsing across all pages (set on finalize).

Required range: 0 <= x <= 2147483647
statement_recognition_token_total
integer<int64> | null

Input plus output tokens for this report (set on finalize).

Required range: 0 <= x <= 9223372036854776000
statement_recognition_model_name
string | null

LLM model used for statement parsing when token totals were recorded.

Maximum string length: 128
entity
integer | null
account
integer
matching_task
integer | null
reconciled_by
integer | null

Response

200 - application/json
id
integer
required
read-only
entity_name
string
required
read-only
account_name
string
required
read-only
account_number
string
required
read-only
account_type
string
required
read-only
account_subtype
string
required
read-only
reconciled_by_name
string
required
read-only
reconciled_by_email
string
required
read-only
approved_by_name
string
required
read-only
approved_by_email
string
required
read-only
async_task
object
required
attachments
object[]
required
read-only
csv_statements
string
required
read-only
cleared_total_debits
string
required
read-only
cleared_total_credits
string
required
read-only
cleared_activity
string
required
read-only
cleared_item_count
string
required
read-only
matched_total_debits
string
required
read-only
matched_total_credits
string
required
read-only
matched_activity
string
required
read-only
matched_item_count
string
required
read-only
unreconciled_total_debits
string
required
read-only
unreconciled_total_credits
string
required
read-only
unreconciled_activity
string
required
read-only
unreconciled_gl_item_count
string
required
read-only
unreconciled_statement_line_count
string
required
read-only
unreconciled_statement_activity
string
required
read-only
reconciliation_difference
string
required
read-only
open_total_debits
string
required
read-only
open_total_credits
string
required
read-only
open_activity
string
required
read-only
open_gl_item_count
string
required
read-only
open_statement_line_count
string
required
read-only
open_statement_activity
string
required
read-only
statement_activity
string
required
read-only
open_difference
string
required
read-only
created_at
string<date-time>
required
read-only
last_modified_at
string<date-time>
required
read-only
approved_on
string<date-time> | null
required
read-only
customer
integer
required
read-only
account
integer
required
approved_by
integer | null
required
read-only
currency
string
Maximum string length: 3
statement_starting_date
string<date> | null
statement_ending_date
string<date> | null
starting_balance
number<double>
Required range: -1000000000000000000 < x < 1000000000000000000
ending_balance
number<double>
Required range: -1000000000000000000 < x < 1000000000000000000
total_credit_amount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
total_debit_amount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
adjustments
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
reconciled_on
string<date> | null
status
enum<string>
  • DRAFT - Draft
  • PENDING_APPROVAL - Pending Approval
  • APPROVED - Approved
  • DELETED - Deleted
Available options:
DRAFT,
PENDING_APPROVAL,
APPROVED,
DELETED
unmatched_statement_transactions
unknown
statement_recognition_cost_usd
number<double> | null

Estimated USD cost of AI bank-statement parsing for this report (from summed page token usage).

Required range: -100000000 < x < 100000000
statement_recognition_input_tokens
integer | null

Sum of input tokens from statement parsing across all pages (set on finalize).

Required range: 0 <= x <= 2147483647
statement_recognition_output_tokens
integer | null

Sum of output tokens from statement parsing across all pages (set on finalize).

Required range: 0 <= x <= 2147483647
statement_recognition_token_total
integer<int64> | null

Input plus output tokens for this report (set on finalize).

Required range: 0 <= x <= 9223372036854776000
statement_recognition_model_name
string | null

LLM model used for statement parsing when token totals were recorded.

Maximum string length: 128
entity
integer | null
matching_task
integer | null
reconciled_by
integer | null